[arch-commits] Commit in links/trunk (PKGBUILD macroman.diff)

Eric Bélanger eric at archlinux.org
Mon Jun 28 22:04:47 EDT 2010


    Date: Monday, June 28, 2010 @ 22:04:46
  Author: eric
Revision: 84309

Fixed build issue (close FS#19826)

Added:
  links/trunk/macroman.diff
Modified:
  links/trunk/PKGBUILD

---------------+
 PKGBUILD      |   11 ++++++++---
 macroman.diff |   12 ++++++++++++
 2 files changed, 20 insertions(+), 3 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-06-29 00:15:34 UTC (rev 84308)
+++ PKGBUILD	2010-06-29 02:04:46 UTC (rev 84309)
@@ -11,13 +11,18 @@
 license=('GPL')
 depends=('bzip2' 'zlib' 'openssl' 'gpm')
 makedepends=('pkgconfig')
-source=(http://links.twibright.com/download/${pkgname}-${pkgver}.tar.bz2 links-2.1pre33-utf8.diff)
-md5sums=('bf5b20529a2a811701c5af52b28ebdd4' '31ff332055d403315eb6e49a6c46aa02')
-sha1sums=('7588c151e98057f83a2e0b81b3f467e7eee9f824' 'f431eea4dcab0e3f3f53d06834e19c78e555b7ad')
+changelog=ChangeLog
+source=(http://links.twibright.com/download/${pkgname}-${pkgver}.tar.bz2 \
+  links-2.1pre33-utf8.diff macroman.diff)
+md5sums=('bf5b20529a2a811701c5af52b28ebdd4' '31ff332055d403315eb6e49a6c46aa02'\
+         '78940e6106afb72b3d027af0f3765808')
+sha1sums=('7588c151e98057f83a2e0b81b3f467e7eee9f824' 'f431eea4dcab0e3f3f53d06834e19c78e555b7ad'\
+         '788368f04211d614a5a047e0a66a9d07998349a6')
 
 build() {
   cd "${srcdir}/${pkgname}-${pkgver}"
   patch -p1 < ../links-2.1pre33-utf8.diff || return 1
+  patch -p1 < ../macroman.diff || return 1
   (cd Unicode; ./gen) || return 1
   (cd intl; ./gen-intl) || return 1
   ./configure --prefix=/usr --mandir=/usr/share/man --enable-javascript --disable-graphics --without-x || return 1

Added: macroman.diff
===================================================================
--- macroman.diff	                        (rev 0)
+++ macroman.diff	2010-06-29 02:04:46 UTC (rev 84309)
@@ -0,0 +1,12 @@
+diff -Naur a/Unicode/macroman.cp b/Unicode/macroman.cp
+--- a/Unicode/macroman.cp	2010-06-16 13:41:57.537256760 +0000
++++ b/Unicode/macroman.cp	2010-06-16 14:28:54.353652872 +0000
+@@ -196,7 +196,7 @@
+ 0xC1	0x00A1	#INVERTED EXCLAMATION MARK
+ 0xC2	0x00AC	#NOT SIGN
+ 0xC3	0x221A	#SQUARE ROOT
+-0xC4	0x0192	#LETTRE MINUSCULE LATINE F HAMEçON
++0xC4	0x0192	#LETTRE MINUSCULE LATINE F HAMECON
+ 0xC5	0x2248	#ALMOST EQUAL TO
+ 0xC6	0x0394	#GREEK CAPITAL LETTER DELTA
+ 0xC7	0x00AB	#LEFT-POINTING DOUBLE ANGLE QUOTATION MARK



More information about the arch-commits mailing list